module.exports = {
  root: true,
  env: {
    node: true,
  },
  extends: [
    'plugin:vue/essential',
    '@vue/airbnb',
  ],
  // 0 代表关闭，1 代表警告（不退出代码），2 代表把规则作为一个错误
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'semi': 0,
    "comma-dangle": [2, "never"],
    "no-param-reassign": 0,
    "consistent-return": 0,
    "no-lonely-if": 0,
    "no-else-return": 0,
    "class-methods-use-this": 0,
    "import/no-self-import": 0,
    "no-cond-assign": 0,
    "no-plusplus": 0
  },
  parserOptions: {
    parser: 'babel-eslint',
  },
};
